Index: /palm/trunk/SCRIPTS/NCL/timeseries.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 161)
+++ /palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 162)
@@ -773,5 +1110,24 @@
                   overlay(plot_splptx,plot_splptz)
                   n=n+1
-                  plot_ps(n) = plot_splptx    
+                  plot_ps(n) = plot_splptx  
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.4           
+                  lgres@vpHeightF          = 0.4          
+                  lgres@lgDashIndexes      = (/0,0,0/)
+                  lgres@lgLineColors       = (/237,144,80/)
+                  lbid = gsn_create_legend(wks_ps,3,(/"splptx","splpty","splptz"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.6		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)
                end if       
             end if
@@ -840,5 +1196,5 @@
    ; merge plots onto one page 
    ; ***************************************************
-  
+ 
    if (format_out .EQ. "eps" .OR. format_out .EQ. "epsi") then
       gsn_panel(wks_ps,plot_ps(1:n),(/n,1/),resP)
